curl --request GET \
--url https://release0.com/api/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'{
"agent": {
"ref": {
"key": "<string>",
"revision": "<string>",
"publicKey": "<string>"
},
"profile": {
"title": "<string>",
"summary": "<string>",
"icon": "<string>",
"labels": [
"<string>"
]
},
"graph": {
"links": [
{
"id": "<string>",
"from": {
"blockId": "<string>",
"itemId": "<string>"
},
"to": {
"groupId": "<string>",
"blockId": "<string>"
}
}
],
"nodes": [
"<unknown>"
],
"memory": [
{
"id": "<string>",
"name": "<string>",
"isSessionVariable": true,
"value": "<string>"
}
],
"entrypoints": [
{
"id": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"type": "start",
"outgoingEdgeId": "<string>"
}
]
},
"canvas": {
"appearance": {},
"annotations": [
{
"id": "<string>",
"type": "stickyNote",
"content": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"color": "yellow",
"zIndex": 123
}
],
"presetId": "<string>"
},
"execution": {
"rules": "<unknown>",
"simulation": "<unknown>"
},
"exposure": {
"state": {
"published": true,
"archived": true,
"locked": true
},
"schedule": {
"publishedAt": "<string>"
},
"access": {
"url": "<string>",
"domain": "<string>",
"share": {
"token": "<string>",
"rules": null
}
}
},
"tenancy": {
"workspaceRef": "<string>",
"domainRef": "<string>",
"workspace": {
"isSuspended": true,
"isPastDue": true,
"members": [
{
"userId": "<string>"
}
],
"collaborators": [
"<unknown>"
]
}
},
"timestamps": {
"created": "<string>",
"updated": "<string>"
},
"taxonomy": {
"tags": {
"ids": [
"<string>"
],
"relations": [
"<unknown>"
]
}
},
"safeguards": {
"security": "<unknown>",
"riskScore": 123
},
"telemetry": {
"tables": {
"order": [
"<string>"
],
"visibility": {},
"width": {}
}
},
"integrations": {
"whatsapp": {
"credentialsRef": "<string>"
}
}
},
"currentUserMode": "guest"
}API endpoint to retrieve detailed information about a specific agent.
curl --request GET \
--url https://release0.com/api/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'{
"agent": {
"ref": {
"key": "<string>",
"revision": "<string>",
"publicKey": "<string>"
},
"profile": {
"title": "<string>",
"summary": "<string>",
"icon": "<string>",
"labels": [
"<string>"
]
},
"graph": {
"links": [
{
"id": "<string>",
"from": {
"blockId": "<string>",
"itemId": "<string>"
},
"to": {
"groupId": "<string>",
"blockId": "<string>"
}
}
],
"nodes": [
"<unknown>"
],
"memory": [
{
"id": "<string>",
"name": "<string>",
"isSessionVariable": true,
"value": "<string>"
}
],
"entrypoints": [
{
"id": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"type": "start",
"outgoingEdgeId": "<string>"
}
]
},
"canvas": {
"appearance": {},
"annotations": [
{
"id": "<string>",
"type": "stickyNote",
"content": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"color": "yellow",
"zIndex": 123
}
],
"presetId": "<string>"
},
"execution": {
"rules": "<unknown>",
"simulation": "<unknown>"
},
"exposure": {
"state": {
"published": true,
"archived": true,
"locked": true
},
"schedule": {
"publishedAt": "<string>"
},
"access": {
"url": "<string>",
"domain": "<string>",
"share": {
"token": "<string>",
"rules": null
}
}
},
"tenancy": {
"workspaceRef": "<string>",
"domainRef": "<string>",
"workspace": {
"isSuspended": true,
"isPastDue": true,
"members": [
{
"userId": "<string>"
}
],
"collaborators": [
"<unknown>"
]
}
},
"timestamps": {
"created": "<string>",
"updated": "<string>"
},
"taxonomy": {
"tags": {
"ids": [
"<string>"
],
"relations": [
"<unknown>"
]
}
},
"safeguards": {
"security": "<unknown>",
"riskScore": 123
},
"telemetry": {
"tables": {
"order": [
"<string>"
],
"visibility": {},
"width": {}
}
},
"integrations": {
"whatsapp": {
"credentialsRef": "<string>"
}
}
},
"currentUserMode": "guest"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.